LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XIndirectTypeDescription Interface Referencepublished

Reflects a typedef or sequence type. More...

`import <XIndirectTypeDescription.idl;`

Inheritance diagram for XIndirectTypeDescription:

## Public Member Functions
com::sun::star::reflection::XTypeDescription | getReferencedType ()
| Returns the typedefed type, if the type is a typedef, or the element type, if the type is a sequence.
Public Member Functions inherited from XTypeDescription
com::sun::star::uno::TypeClass | getTypeClass ()
| Returns the type class of the reflected UNOIDL entity.
string | getName ()
| Returns the fully qualified name of the UNOIDL entity.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Reflects a typedef or sequence type.

The type class of this description is TypeClass_TYPEDEF or TypeClass_SEQUENCE.

## Member Function Documentation

## ◆ getReferencedType()

com::sun::star::reflection::XTypeDescription getReferencedType | ( |  | ) |

Returns the typedefed type, if the type is a typedef, or the element type, if the type is a sequence.

Returns
  referenced type

The documentation for this interface was generated from the following file:

- com/sun/star/reflection/XIndirectTypeDescription.idl